# SPEC file overview:
# https://docs.fedoraproject.org/en-US/quick-docs/creating-rpm-packages/#con_rpm-spec-file-overview
# Fedora packaging guidelines:
# https://docs.fedoraproject.org/en-US/packaging-guidelines/


Name:    nagios-plugins-check_printer
Version: git0e4e0bb 
Release: 1.ndias%{?dist}
Summary: Nagios plugin to check the printer supply levels

License: BSD-3-Clause
URL:     https://github.com/ecrist/monitoring
Source0: https://github.com/ecrist/monitoring/archive/refs/heads/master.tar.gz

BuildArch: noarch

Requires: /usr/bin/perl

%description
This script connects via SNMP to a print and checks printer supply
levels.  This script outputs performance data for all supplies
found for toner and drum.

%prep
%setup -q -n monitoring-master


%build


%install
install -p -m 755 -D nagios/check_printer %{buildroot}%{_libdir}/nagios/plugins/check_printer


%files
%doc README.md
%license LICENSE

%{_libdir}/nagios/plugins/check_printer

%changelog
* Sun Jul 17 2022 Nuno Dias <Nuno.Dias@gmail.com> - git0e4e0bb-1.ndias
- Version 0e4e0bb
